STRUCT USB_EP(9)

NAME
struct usb_ep - device side representation of USB endpoint

SYNOPSIS
struct usb_ep {
  void * driver_data;
  const char * name;
  const struct usb_ep_ops * ops;
  struct list_head ep_list;
  unsigned maxpacket:16;
};

MEMBERS

driver_data
    for use by the gadget driver. all other fields are read-only to gadget drivers.

name
    identifier for the endpoint, such as ``ep-a'' or ``ep9in-bulk''

ops Function pointers used to access hardware-specific operations.

ep_list
    the gadget's ep_list holds all of its endpoints

maxpacket
    The maximum packet size used on this endpoint. The initial value can sometimes be reduced (hardware allowing), according to the endpoint descriptor used to configure the endpoint.

DESCRIPTION

the bus controller driver lists all the general purpose endpoints in gadget->ep_list. the control endpoint (gadget->ep0) is not in that list, and is accessed only in response to a driver setup callback.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.